Bug 148478 - FILESAVE PPTX: Audio used in slide transition has gone lost as transition sound if the audio file name contains Chinese Characters (but still exists in sound list)
Summary: FILESAVE PPTX: Audio used in slide transition has gone lost as transition sou...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PPTX-Corrupted Media
  Show dependency treegraph
 
Reported: 2022-04-09 09:32 UTC by Kevin Suo
Modified: 2022-04-27 22:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test wav audio file (696.05 KB, audio/x-wav)
2022-04-09 09:32 UTC, Kevin Suo
Details
test ODP file (227.20 KB, application/vnd.oasis.opendocument.presentation)
2022-04-09 09:33 UTC, Kevin Suo
Details
Test odp with the problematic wav set up as transition sound (220.06 KB, application/vnd.oasis.opendocument.presentation)
2022-04-27 09:54 UTC, Gabor Kelemen (allotropia)
Details
The test odp exported to pptx (651.43 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2022-04-27 09:54 UTC, Gabor Kelemen (allotropia)
Details
How the insides of the pptx attachment look like (39.83 KB, image/png)
2022-04-27 09:58 UTC, Gabor Kelemen (allotropia)
Details
Another example odp with Hungarian accented letters (220.07 KB, application/vnd.oasis.opendocument.presentation)
2022-04-27 10:04 UTC, Gabor Kelemen (allotropia)
Details
Export of the other example file with Hungarian transition sound name (531.62 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2022-04-27 10:05 UTC, Gabor Kelemen (allotropia)
Details
How the insides of the Hungarian pptx attachment look like (162.62 KB, image/png)
2022-04-27 10:14 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2022-04-09 09:32:14 UTC
Created attachment 179424 [details]
test wav audio file

Steps to Reproduce:
1. Download the attached sample .wav file and save as "测试音乐.wav". Note that the file name should contain Chinese characters in order to reproduce this bug.
2. New Impress, two slides, go to the first slide. In the transition side bar, use the audio file "测试音乐.wav" as the transition audio, check "Loop until the next sound" checkbox.
3. Save as PPTX.

Current Result:
测试音乐.wav is lost in the PPTX file.

Expected Result:
测试音乐.wav should remain there in the PPTX file.

It is noted that if the file name is "test.wav" (i.e. does not contain Chinese characters), then it works as expected. I also noted that in MSO Power Point, those Chinese characters are allowed.
Comment 1 Kevin Suo 2022-04-09 09:33:14 UTC
Created attachment 179425 [details]
test ODP file

You may also use the attached odp file and try to save it as PPTX to reproduce this bug.
Comment 2 Kevin Suo 2022-04-09 09:41:07 UTC
Adding Tünde Tóth to cc as I see you have recently worked on commit  c2e8a96a8107a37901e475c65a8e61211fc3b132 (tdf#53970 PPTX: fix broken export of linked media files). Would you please take a look? Thanks.

Version: 7.3.3.0.0+ / LibreOffice Community
Build ID: 0a34ac386187c5ca328aebc27851c2a2ff38f293
CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: zh-CN (zh_CN.UTF-8); UI: en-US
Calc: threaded

Also in 7.2.6.2 and current master.

Fedora 34 and Fedora 35.
Comment 3 Rainer Bielefeld Retired 2022-04-09 15:45:12 UTC
Only partially REPRODUCIBLE with Installation of Version: 7.3.0.3 (x64) 
Build ID a69ca51ded25f3eefd52d7bf9a5fad8c90b87951
CPU threads: 12; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win | Locale: de-DE (de_DE); UI: de-DE | Calc: threaded | ElementaryTheme | My normal User Profile.

1. I opened .odp, added 测试音乐.wav astransition sound tested (played) during  
   transition, everything fine.
2. I saved, closed and reopened new.odp: everything fine.
3. I saved, closed new.odp as new.ppts, reopened and played: 
   no sound on transition
4. I checked in Transition sidebar: 测试音乐 still did exist in list, but has
   gone lostas sound for transitoins.
5. I added 测试音乐  from list, and worked fine again when I played presentation.

a)currently I can't tell if the problem occurs when saving as .pptx or if it occurs when reopening the .pptx in LibO. I have no other presentation 
@Kevin Suo: your result for question (a)?
Comment 4 Rainer Bielefeld Retired 2022-04-09 15:55:46 UTC
a) Might (also) be a FILEOPEN problem? 

11: Open new.pptx with 'SoftmakerPresentation' → Start presentation
   » No sound played during transition
12: Add 测试音乐.wav as transition sound in softmaker → Start presentation
   » Sound plays
13: save as newsoftmaker.pptx and close
14. open  newsoftmaker.pptx in LibO → Start presentation
   » sound plays during transition as expected             but:
     in transition sidebar no transition is selected

a1) So I can't tell 100% sure wheter in (11) sound really has become "lost" or
    Softmakeronly did not recognize it?
    But I am pretty sure that it's a FILESAVE problem
Comment 5 stragu 2022-04-14 15:42:08 UTC
Reproduced with:

Version: 7.2.6.2 / LibreOffice Community
Build ID: b0ec3a565991f7569a5a7f5d24fed7f52653d754
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded
Comment 6 stragu 2022-04-14 15:47:18 UTC
Also in:

Version: 6.4.7.2
Build ID: 1:6.4.7-0ubuntu0.20.04.4
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: gtk3; 
Locale: en-AU (en_AU.UTF-8); UI-Language: en-US
Calc: threaded

I can still play the transition when saving as PPTX and keeping Impress open, but as soon as I close and reopen, the transition is gone. I can add the transition again and play it, but it is lost again when closing and reopening.
Comment 7 Gabor Kelemen (allotropia) 2022-04-27 09:54:01 UTC
Created attachment 179800 [details]
Test odp with the problematic wav set up as transition sound
Comment 8 Gabor Kelemen (allotropia) 2022-04-27 09:54:57 UTC
Created attachment 179801 [details]
The test odp exported to pptx

This does not open in PP, it says corrupted file.

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3a05acb8f0d94728ea6cbfd7a69dac6ffa7ffc68
CPU threads: 14; OS: Windows 10.0 Build 19044; UI render: default; VCL: win
Locale: de-DE (hu_HU); UI: en-US
Calc: threaded Jumbo
Comment 9 Gabor Kelemen (allotropia) 2022-04-27 09:58:12 UTC
Created attachment 179802 [details]
How the insides of the pptx attachment look like

Looks like the file name encoding is changed for the worse.
Comment 10 Gabor Kelemen (allotropia) 2022-04-27 10:04:50 UTC
Created attachment 179803 [details]
Another example odp with Hungarian accented letters
Comment 11 Gabor Kelemen (allotropia) 2022-04-27 10:05:52 UTC
Created attachment 179804 [details]
Export of the other example file with Hungarian transition sound name
Comment 12 Gabor Kelemen (allotropia) 2022-04-27 10:14:34 UTC
Created attachment 179806 [details]
How the insides of the Hungarian pptx attachment look like

So this really affects any non-ASCII characters, when I rename a working wav file (https://www2.cs.uic.edu/~i101/SoundFiles/preamble10.wav) to preambleárvíztűrőtükörfúrógép.wav then the file is incorrectly named under ppt/media and also in slides/slide1.xml but correctly in ppt/slides/_rels/slide1.xml.rels - no wonder it does not work.